Get food compatibility

검색 엔드포인트가 반환한 (source, id) 쌍으로 식별되는 단일 식품의 영양학적 적합성을 실시간으로 계산합니다. flagId와 outcomeId는 Definitions 엔드포인트를 통해 해석하세요. 확인할 수 있는 내용은 카탈로그에 따라 다릅니다. 일반 식품은 이름만 있으므로 식단 및 알레르기 유발 물질 플래그에 대해서만 결과를 제공하며, 유기농이나 할랄과 같은 라벨 표시 주장에 대해서는 결과를 제공하지 않습니다. 포장 식품은 라벨을 기반으로 분석되므로 이러한 항목에 대해서도 결과를 제공합니다. 이탈리아어만 지원: 다른 Accept-Language를 사용하면 406을 반환합니다.

GET
/foods/{source}/{id}/compatibility
Foods
비용: 60 크레딧

응답

200
application/json
object

FoodCompatibilityResult

실시간으로 계산된 단일 식품의 영양 호환성

object

id

해당 카탈로그 내 식별자

integer<int64>

source

식품이 속한 카탈로그입니다. 'generic'은 Tuduu 식품 데이터베이스의 식품으로, 브랜드와 포장이 없고 100 g당 영양소가 표시되며 일반적으로 식단 기록 항목이 가리키는 식품입니다. 'packaged'는 Tuduu 마스터 카탈로그의 제품으로, 브랜드와 포장 형식이 있으며 라벨에 표시된 영양소가 포함됩니다. 두 카탈로그는 식별자 공간이 서로 독립적이므로 식품은 id만이 아니라 (source, id) 쌍으로 지정합니다

string
"generic""packaged"

compatibility

object[]

AnalysisResultItem

하나의 라이프스타일 플래그에 대한 단일 영양 호환성 결과 — 현지화된 설명을 얻기 위해 'Definitions' 엔드포인트를 사용하여 디코딩할 수 있는 플래그 및 결과 식별자를 포함합니다

object

flagId

라이프스타일 플래그 식별자(예: 채식, 비건, 글루텐 무함유) — 이 ID를 디코딩하고 현지화된 설명을 얻으려면 'Definitions' 엔드포인트를 참조하세요

integer<int16>

outcomeId?

호환성 결과를 나타내는 결과 유형 식별자 — 이 ID를 디코딩하고 현지화된 설명을 얻으려면 'Definitions' 엔드포인트를 참조하세요. 결과가 결정되지 않은 경우 Null입니다

integer<uint8> | null
401
application/json
object

인증되지 않음

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
403
application/json
object

접근 금지됨

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
404
application/json
object

찾을 수 없음

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
406
application/json
object

허용되지 않음

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
422
application/json
object

처리할 수 없는 엔터티

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
429
application/json
object

요청이 너무 많음(APIM)

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
500
application/json
object

내부 서버 오류

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
502
application/json
object

잘못된 게이트웨이(APIM)

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string
504
application/json
object

게이트웨이 시간 초과(APIM)

ConnectProblemDetails

object

type?

string

title?

string

status?

integer<int32>

detail?

string

instance?

string

requestId?

string

traceId?

string